petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatCoarsenCreate

Creates a coarsen context.

### Synopsis

    #include "petscmatcoarsen.h"
    PetscErrorCode  MatCoarsenCreate(MPI_Comm comm, MatCoarsen *newcrs)

Collective

### Input Parameter

comm -MPI communicator

### Output Parameter

newcrs -location to put the context

### See Also

MatCoarsenSetType(), MatCoarsenApply(), MatCoarsenDestroy(),
MatCoarsenSetAdjacency(), MatCoarsenGetData()

### Level

advanced

### Location

src/mat/coarsen/coarsen.c

### Implementations

MatCoarsenCreate_HEM in src/mat/coarsen/impls/hem/hem.c
MatCoarsenCreate_MIS in src/mat/coarsen/impls/mis/mis.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages